Subject: RE: B20 - Getting substring functionality to work
From: william walsh <[email-masked]>
To: "'Heinz-Jurgen Oertel'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Wed, 23 Jun 1999 09:31:42 +0100

On Wednesday, June 23, 1999 9:30 AM, Heinz-Jurgen Oertel [SMTP:[email-masked]] 
wrote:
> william walsh wrote:
> >
> > Hello all,
> >
> > I am trying to get substring functionality to work for use within 
GNUMake
> > under WindowsNT. cygwin is B20 with the 16Jan99 updated dll.  The bash
> > reference says:
> >
> [snip]
> > What am I doing wrong?  If I get this to work what happens if I use a
> > negative offset that has an absolute value greater than the length of 
the
> > string and/or of the length value?
> >
> > Regards,
> > William
> >
>
> are you shure using 'bash' ?
> at me it works.
You are correct I was using sh instead of bash and the basic functionality 
works fine.  I still cannot get the negative offset to work.  My 
understanding is a negative offset should count from the end of the string; 
it seems to act like a zero offset.

Thanks.
>
>
>
>   Heinz
>
>
>
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]